Predicates (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.helpers

## Class Predicates

- java.lang.Object
- - org.neo4j.helpers.Predicates

-     public class Predicates
      extends Object

  Common predicates

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Predicates.AndPredicate<T>`
    `static class` | `Predicates.OrPredicate<T>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Predicates()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> Predicates.AndPredicate<T>` | `and(Iterable<Predicate<T>> predicates)`
    `static <T> Predicates.AndPredicate<T>` | `and(Predicate<T>... predicates)`
    `static <T> Predicate<T>` | `equalTo(T allowed)`
    `static <T> Predicate<T>` | `in(Collection<T> allowed)`
    `static <T> Predicate<T>` | `in(Iterable<T> allowed)`
    `static <T> Predicate<T>` | `in(T... allowed)`
    `static <T> Predicate<T>` | `not(Predicate<T> specification)`
    `static <T> Predicate<T>` | `notNull()`
    `static <T> Predicates.OrPredicate<T>` | `or(Iterable<Predicate<T>> predicates)`
    `static <T> Predicates.OrPredicate<T>` | `or(Predicate<T>... predicates)`
    `static Predicate<String>` | `stringContains(String string)`
    `static <FROM,TO> Predicate<FROM>` | `translate(Function<FROM,TO> function, Predicate<? super TO> specification)`
    `static <T> Predicate<T>` | `TRUE()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Predicates

          public Predicates()

  - ### Method Detail

    - #### TRUE

          public static <T> Predicate<T> TRUE()

    - #### not

          public static <T> Predicate<T> not(Predicate<T> specification)

    - #### and

          public static <T> Predicates.AndPredicate<T> and(Predicate<T>... predicates)

    - #### and

          public static <T> Predicates.AndPredicate<T> and(Iterable<Predicate<T>> predicates)

    - #### or

          public static <T> Predicates.OrPredicate<T> or(Predicate<T>... predicates)

    - #### or

          public static <T> Predicates.OrPredicate<T> or(Iterable<Predicate<T>> predicates)

    - #### equalTo

          public static <T> Predicate<T> equalTo(T allowed)

    - #### in

          public static <T> Predicate<T> in(T... allowed)

    - #### in

          public static <T> Predicate<T> in(Iterable<T> allowed)

    - #### in

          public static <T> Predicate<T> in(Collection<T> allowed)

    - #### notNull

          public static <T> Predicate<T> notNull()

    - #### translate

          public static <FROM,TO> Predicate<FROM> translate(Function<FROM,TO> function,
                                            Predicate<? super TO> specification)

    - #### stringContains

          public static Predicate<String> stringContains(String string)

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.